openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/WP_FAVOURITE_GET:
    post:
      tags:
      - WP_USER_MENU
      operationId: /rfc/WP_FAVOURITE_GET
      requestBody:
        content:
          application/json:
            schema:
              properties:
                DEVICE:
                  type: string
                  default: ' '
                  maxLength: 30
                  description: Device Type
                LANGUAGE:
                  type: string
                  default: ' '
                  maxLength: 2
                  description: Language Key
                NO_NODES_WITHOUT_URL:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: General Flag
                NO_SYSINFO:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: General Flag
                USER_NAME:
                  type: string
                  default: SY-UNAME
                  maxLength: 12
                  description: Workplace User, R/3 Logon Name
                FAVO_NODE_TAB:
                  type: array
                  items:
                    type: object
                    properties:
                      OBJECT_ID:
                        type: integer
                        format: int64
                        description: Number of a Node in the Workplace LaunchPad
                      PARENT_ID:
                        type: integer
                        format: int64
                        description: Number of a Node in the Workplace LaunchPad
                      MENU_POS:
                        type: integer
                        format: int64
                        description: Number
                      MENU_LEVEL:
                        type: integer
                        format: int64
                        description: Level in the menu
                      TARGET_SYS:
                        type: string
                        maxLength: 10
                        description: Logical system
                      S_TYPE:
                        type: string
                        maxLength: 8
                        description: 'Service type  enumValues: U=Set URL,KWD=Knowledge Warehouse document,MINIAPP=MiniApp,T=Transaction,WI=Work item,WEBAPP=Web app'
                        enum:
                        - U
                        - KWD
                        - MINIAPP
                        - T
                        - WI
                        - WEBAPP
                      S_IDENT:
                        type: string
                        maxLength: 64
                        description: Service ID
                      DRAGMULT:
                        type: string
                        maxLength: 1
                        description: 'General Flag  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
                      DRAGTYPE:
                        type: string
                        maxLength: 32
                        description: Workplace Object Type Key
                      TEXT:
                        type: string
                        maxLength: 80
                        description: Menu entry text
                      START_MINI:
                        type: string
                        maxLength: 1
                        description: 'Minimalized Start  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
                      NEW_WINDOW:
                        type: string
                        maxLength: 1
                        description: 'Start in New Window  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
                      WP_TYPE:
                        type: string
                        maxLength: 20
                        description: Workplace URL Type
                      GEN_URL:
                        type: string
                        maxLength: 2000
                        description: URL for SAP Portal
                      RAW_URL:
                        type: string
                        maxLength: 255
                        description: URL for the SAP Portal
                NODE_FLAVOURS:
                  type: array
                  items:
                    type: object
                    properties:
                      DRAGTYPE:
                        type: string
                        maxLength: 32
                        description: Workplace Object Type Key
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  LENGTH:
                    type: integer
                    format: int32
                    description: General Flag
                  FAVO_NODE_TAB:
                    type: array
                    items:
                      type: object
                      properties:
                        OBJECT_ID:
                          type: integer
                          format: int64
                          description: Number of a Node in the Workplace LaunchPad
                        PARENT_ID:
                          type: integer
                          format: int64
                          description: Number of a Node in the Workplace LaunchPad
                        MENU_POS:
                          type: integer
                          format: int64
                          description: Number
                        MENU_LEVEL:
                          type: integer
                          format: int64
                          description: Level in the menu
                        TARGET_SYS:
                          type: string
                          maxLength: 10
                          description: Logical system
                        S_TYPE:
                          type: string
                          maxLength: 8
                          description: 'Service type  enumValues: U=Set URL,KWD=Knowledge Warehouse document,MINIAPP=MiniApp,T=Transaction,WI=Work item,WEBAPP=Web app'
                          enum:
                          - U
                          - KWD
                          - MINIAPP
                          - T
                          - WI
                          - WEBAPP
                        S_IDENT:
                          type: string
                          maxLength: 64
                          description: Service ID
                        DRAGMULT:
                          type: string
                          maxLength: 1
                          description: 'General Flag  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
                        DRAGTYPE:
                          type: string
                          maxLength: 32
                          description: Workplace Object Type Key
                        TEXT:
                          type: string
                          maxLength: 80
                          description: Menu entry text
                        START_MINI:
                          type: string
                          maxLength: 1
                          description: 'Minimalized Start  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
                        NEW_WINDOW:
                          type: string
                          maxLength: 1
                          description: 'Start in New Window  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
                        WP_TYPE:
                          type: string
                          maxLength: 20
                          description: Workplace URL Type
                        GEN_URL:
                          type: string
                          maxLength: 2000
                          description: URL for SAP Portal
                        RAW_URL:
                          type: string
                          maxLength: 255
                          description: URL for the SAP Portal
                  NODE_FLAVOURS:
                    type: array
                    items:
                      type: object
                      properties:
                        DRAGTYPE:
                          type: string
                          maxLength: 32
                          description: Workplace Object Type Key
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
